summaryrefslogtreecommitdiffstats
path: root/main/cups/cupsd.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/cups/cupsd.initd
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/cups/cupsd.initd')
-rw-r--r--main/cups/cupsd.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/main/cups/cupsd.initd b/main/cups/cupsd.initd
new file mode 100644
index 000000000..f59e27b4c
--- /dev/null
+++ b/main/cups/cupsd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+
+depend() {
+ use net
+ need dbus
+ before nfs
+ after logger
+}
+
+start() {
+ ebegin "Starting cupsd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/cupsd
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping cupsd"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/cupsd
+ eend $?
+}